#if !defined  HAVE_SLOWHT_H__
#define       HAVE_SLOWHT_H__

#include "fxttypes.h"  // ulong
#include "complextype.h"  // type Complex

//: -------- Slow algorithms:
// fht/slowht.cc:
void slow_ht(double *f, ulong n);
void slow_ht(Complex *f, ulong n);
void slow_row_column_ht(double *f, ulong nr, ulong nc);
void slow_twodim_ht(double *f, ulong nr, ulong nc);

// fht/recfht2.cc:
void recursive_fht_dit2(double *a, ulong ldn);
void recursive_fht_dif2(double *a, ulong ldn);

#endif  // !defined HAVE_SLOWHT_H__
